package com.zhiqiyun.open.core.enmus;

public enum PassengerType implements IBaseEnum {

    /**
     *
     */
    IN(1, "待处理"), OUT(2, "已处理");

    private final int value;
    private final String text;


    PassengerType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static PassengerType valueOf(int code) {
        PassengerType[] values = PassengerType.values();
        for (PassengerType type : values) {
            if (type.value == code) {
                return type;
            }
        }
        return null;
    }

    @Override
    public String getText() {
        return text;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
